# Class: AnnotationView

## AnnotationView()

#### new AnnotationView()

Source:
  - AnnotationView.js, line 10

### Methods

#### (async, static) createObj() → {Promise.<AnnotationView>}

构造一个新的 AnnotationView 对象。

Source:
  - AnnotationView.js, line 19

##### Returns:

Type
  Promise.<AnnotationView>

#### (async, static) getAnnotation() → {Promise.<Annotation>}

获取标记

Source:
  - AnnotationView.js, line 55

##### Returns:

标记

Type
  Promise.<Annotation>

#### (async, static) setAnnotation(annotation) → {Promise.<void>}

设置标记

##### Parameters:

Name | Type | Description
--- | --- | ---
`annotation` |  |

Source:
  - AnnotationView.js, line 39

##### Returns:

Type
  Promise.<void>